Skip to main content
PUT
/
api
/
projects
/
v1
/
projects
/
{projectId}
/
status
Update project status
curl --request PUT \
  --url https://api.example.com/api/projects/v1/projects/{projectId}/status \
  --header 'Content-Type: application/json' \
  --header 'X-Domino-Api-Key: <api-key>' \
  --data '
{
  "isBlocked": true,
  "blockedReason": "<string>",
  "completedMessage": "<string>"
}
'
{
  "metadata": {
    "notices": [
      "<string>"
    ],
    "requestId": "<string>"
  },
  "status": {
    "isBlocked": true,
    "blockedReason": "<string>",
    "completedMessage": "<string>"
  }
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

projectId
string
required

Project ID

Body

application/json

Project status

isBlocked
boolean
required

Whether or not the project is blocked. If true, it has precedence over the status

status
enum<string>
required

The project status

Available options:
active,
complete
blockedReason
string

The reason the project is blocked

completedMessage
string

The completed project message

Response

Success

metadata
object
required
status
object
required